---
title: "Add a visit note from the Sales Coach iPhone app"
description: "Rep-scoped alias. metadata.source is mobile_app."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Conversations

`POST /api/field-sales/rep/appointments/{id}/notes`

Rep-scoped alias. metadata.source is mobile_app.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `id` (`post/api/field-sales/rep/appointments/id/notes.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.channelautomation.com/api/field-sales/rep/appointments/<id>/notes' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/field-sales/rep/appointments/<id>/notes';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/field-sales/rep/appointments/<id>/notes"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

## Responses

### 200

{ success, note }

### 403

This visit is not assigned to you


Source: https://developer.channelautomations.com/api/post-api-field-sales-rep-appointments-id-notes/index.md
